Package org.globus.gram.internal

# Interface GRAMConstants

All Known Implementing Classes:
  `GramJob`, `GramJobRun`

public interface GRAMConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SIGNAL_CANCEL`
Cancel a job
`static final int`
`SIGNAL_COMMIT_END`
Signal the job manager to clean up after the completion of the job if the job RSL contained the (two-phase = yes) relation.
`static final int`
`SIGNAL_COMMIT_EXTEND`
Signal the job manager to wait an additional number of seconds (specified by an integer value string as the signal's argument) before timing out a two-phase job commit.
`static final int`
`SIGNAL_COMMIT_REQUEST`
Signal the job manager to commence with a job submission if the job request was accompanied by the (two_state=yes) RSL attribute.
`static final int`
`SIGNAL_PRIORITY`
Change the priority of a job
`static final int`
`SIGNAL_RESUME`
Resume a previously suspended job
`static final int`
`SIGNAL_STDIO_SIZE`
Signal the job manager to verify that streamed I/O has been completely received.
`static final int`
`SIGNAL_STDIO_UPDATE`
Signal the job manager to change the way it is currently handling standard output and/or standard error.
`static final int`
`SIGNAL_STOP_MANAGER`
Signal the job manager to stop managing the current job and terminate.
`static final int`
`SIGNAL_SUSPEND`
Suspend a job
`static final int`
`STATUS_ACTIVE`
The job has received resources and the application is executing.
`static final int`
`STATUS_ALL`
A mask of all job states.
`static final int`
`STATUS_DONE`
The job completed successfully
`static final int`
`STATUS_FAILED`
`static final int`
`STATUS_PENDING`
The job is waiting for resources to become available to run.
`static final int`
`STATUS_STAGE_IN`
The job manager is staging in files to run the job.
`static final int`
`STATUS_STAGE_OUT`
The job manager is staging out files generated by the job.
`static final int`
`STATUS_SUSPENDED`
The job has been suspended.
`static final int`
`STATUS_UNSUBMITTED`
The job has not been submitted to the scheduler yet, pending the reception of the GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_REQUEST signal from a client.

## Field Details

### STATUS_PENDING

static final int STATUS_PENDING
The job is waiting for resources to become available to run.

See Also:
  - Constant Field Values

### STATUS_ACTIVE

static final int STATUS_ACTIVE
The job has received resources and the application is executing.

See Also:
  - Constant Field Values

### STATUS_FAILED

static final int STATUS_FAILED

See Also:
  - Constant Field Values

### STATUS_DONE

static final int STATUS_DONE
The job completed successfully

See Also:
  - Constant Field Values

### STATUS_SUSPENDED

static final int STATUS_SUSPENDED
The job has been suspended. Resources which were allocated for this job may have been released due to some scheduler-specific reason.

See Also:
  - Constant Field Values

### STATUS_UNSUBMITTED

static final int STATUS_UNSUBMITTED
The job has not been submitted to the scheduler yet, pending the reception of the GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_REQUEST signal from a client.

See Also:
  - Constant Field Values

### STATUS_STAGE_IN

static final int STATUS_STAGE_IN
The job manager is staging in files to run the job.

See Also:
  - Constant Field Values

### STATUS_STAGE_OUT

static final int STATUS_STAGE_OUT
The job manager is staging out files generated by the job.

See Also:
  - Constant Field Values

### STATUS_ALL

static final int STATUS_ALL
A mask of all job states.

See Also:
  - Constant Field Values

### SIGNAL_CANCEL

static final int SIGNAL_CANCEL
Cancel a job

See Also:
  - Constant Field Values

### SIGNAL_SUSPEND

static final int SIGNAL_SUSPEND
Suspend a job

See Also:
  - Constant Field Values

### SIGNAL_RESUME

static final int SIGNAL_RESUME
Resume a previously suspended job

See Also:
  - Constant Field Values

### SIGNAL_PRIORITY

static final int SIGNAL_PRIORITY
Change the priority of a job

See Also:
  - Constant Field Values

### SIGNAL_COMMIT_REQUEST

static final int SIGNAL_COMMIT_REQUEST
Signal the job manager to commence with a job submission if the job request was accompanied by the (two_state=yes) RSL attribute.

See Also:
  - Constant Field Values

### SIGNAL_COMMIT_EXTEND

static final int SIGNAL_COMMIT_EXTEND
Signal the job manager to wait an additional number of seconds (specified by an integer value string as the signal's argument) before timing out a two-phase job commit.

See Also:
  - Constant Field Values

### SIGNAL_STDIO_UPDATE

static final int SIGNAL_STDIO_UPDATE
Signal the job manager to change the way it is currently handling standard output and/or standard error. The argument for this signal is an RSL containing new stdout, stderr, stdout_position, stderr_position, or remote_io_url relations.

See Also:
  - Constant Field Values

### SIGNAL_STDIO_SIZE

static final int SIGNAL_STDIO_SIZE
Signal the job manager to verify that streamed I/O has been completely received. The argument to this signal contains the number of bytes of stdout and stderr received, seperated by a space. The reply to this signal will be a SUCCESS message if these matched the amount sent by the job manager. Otherwise, an error reply indicating GLOBUS_GRAM_PROTOCOL_ERROR_STDIO_SIZE is returned. If standard output and standard error are merged, only one number should be sent as an argument to this signal. An argument of -1 for either stream size indicates that the client is not interested in the size of that stream.

See Also:
  - Constant Field Values

### SIGNAL_STOP_MANAGER

static final int SIGNAL_STOP_MANAGER
Signal the job manager to stop managing the current job and terminate. The job continues to run as normal. The job manager will send a state change callback with the job status being FAILED and the error GLOBUS_GRAM_PROTOCOL_ERROR_JM_STOPPED.

See Also:
  - Constant Field Values

### SIGNAL_COMMIT_END

static final int SIGNAL_COMMIT_END
Signal the job manager to clean up after the completion of the job if the job RSL contained the (two-phase = yes) relation.

See Also:
  - Constant Field Values